DCMTK - Bug #1107

Remove compatibility code for pre-CXX98 compilers
2024-02-19 10:53 - Marco Eichelberg

Status: Closed Start date: 2024-02-19
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0:00 hour
Target version: 3.7.0

Module: Compiler:

Operating System:

Description

DCMTK requires a compiler that is compliant with the CXX98 standard. However, the library still contains compatibility code for
pre-CXX98 compilers.

This is now largely dead code and should be removed. Compatibility macros should be directly set to the CXX98 implementation.
This affects, for example:

e Configure tests and configure macros:

DCMTK_LOG4CPLUS_HAVE_ERRNO_H
HAVE_CLASS_TEMPLATE
HAVE_CLIMITS

HAVE_CMATH

HAVE_CSTDARG

HAVE_CSTDIO
HAVE_DYNAMIC_CAST
HAVE_ERRNO_H

HAVE_FLOAT_H
HAVE_ITERATOR_HEADER
HAVE_NOTHROW_DELETE
HAVE_PROTOTYPE_STD_ FINITE
HAVE_PROTOTYPE_STD__ VFPRINTF
HAVE_REINTERPRET_CAST
HAVE_SETJMP_H

HAVE_SSTREAM
HAVE_SSTREAM H
HAVE_STATIC_CAST
HAVE_STDARG_H
HAVE_STDDEF_H

HAVE_STDIO_H

HAVE_STDLIB_H
HAVE_STD_NAMESPACE
HAVE_STD__NOTHROW
HAVE_STRING_H
HAVE_STRSTREAM
HAVE_VPRINTF

SIZEOF_CHAR

e class OFStringStream and "family"
¢ Other obsolete macros:

STD_NAMESPACE
USING_STD_NAMESPACE
INCLUDE_... macros in ofstdinc.h

* The following macros need to be checked. Most of them actually activate/deactivate a separate implementation in DCMTK:
HAVE_STL_ALGORITHM
HAVE_STL_LIMITS

HAVE_STL_LIST
HAVE_STL_MAP

2025-09-06 1/2




HAVE_STL_MEMORY
HAVE_STL_STACK

HAVE_STL_STRING
HAVE_STL_VECTOR

History

#1 - 2024-03-07 11:28 - Marco Eichelberg
- % Done changed from 0 to 30

#2 - 2025-01-18 18:39 - Marco Eichelberg
- Status changed from New to Closed
- Target version changed from 3.7.1+ to 3.7.0

- % Done changed from 30 to 100
